Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Services.pidl File Reference

`import "tao/OctetSeq.pidl";`

Include dependency graph for Services.pidl:

## Namespaces
namespace | CORBA
## Classes
struct | CORBA::ServiceDetail
struct | CORBA::ServiceInformation
## Typedefs
typedef unsigned long | ServiceOption
typedef unsigned long | ServiceDetailType
typedef OctetSeq | ServiceDetailData
typedef sequence< ServiceOption > | ServiceOptionSeq
typedef sequence< ServiceDetail > | ServiceDetailSeq
## Variables
const ServiceType | Security = 1

## Typedef Documentation

typedef OctetSeq CORBA::ServiceDetailData

typedef sequence<ServiceDetail> CORBA::ServiceDetailSeq

typedef CORBA::ULong CORBA::ServiceDetailType

typedef CORBA::ULong CORBA::ServiceOption

typedef sequence<ServiceOption> CORBA::ServiceOptionSeq

## Variable Documentation

const CORBA::ServiceType CORBA::Security = 1